@import url('https://fonts.googleapis.com/css2?family=Bitcount+Grid+Single:wght@100..900&display=swap');

:root {
    --color-primary: #E2145F;
    --color-primary-content: #e8c1cf;
    --color-secondary: #478C19;
    --color-secondary-content: #cadcbf;
    --color-terciary: #2581BE;
    --color-terciary-content: #c8dce9;
    --color-quaternary: #D58815;
    --color-quaternary-content: #ddd2c2;
}

.text-terciary {
    color: var(--color-terciary);
}

.text-quaternary {
    color: var(--color-quaternary);
}

.bg-terciary {
    background-color: var(--color-terciary);
}

.bitcount-grid-single-400 {
  font-family: "Bitcount Grid Single", system-ui;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.bitcount-grid-single-300 {
  font-family: "Bitcount Grid Single", system-ui;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

html {
  overflow: auto;
  scrollbar-width: none;
}

/* Para navegadores WebKit (Chrome, Safari, etc.) */
::-webkit-scrollbar {
  width: 0px; /* Oculta a barra de rolagem */
}

/* hover link 1*/
.hvDif {
  --bg-h: 100%;
  --bg-color: currentColor; /* valor padrão, pode ser sobrescrito */
  background: linear-gradient(0deg, var(--bg-color), var(--bg-color)) no-repeat right bottom / 0 var(--bg-h);
  transition: background-size 350ms;
}

.hvDif:where(:hover, :focus-visible) {
  background-size: 100% var(--bg-h);
  background-position-x: left;
}

.underlineHv {
  padding-bottom: 2px;
  --bg-h: 2px;
}

/* hover link 2*/
.hvDif-1 {
  text-decoration: none;
  font-weight: 700;
  position: relative;
}

.hvDif-1::before {
  content: '';
  background-color: #8fb8d3;
  position: absolute;
  left: 0;
  bottom: 3px;
  width: 100%;
  height: 8px;
  z-index: -1;
  transition: all .3s ease-in-out;
}

.hvDif-1:hover::before {
  bottom: 0;
  height: 100%;
}

/* hover effect index */
.thumbnail img {
  border: 1px solid white;
  margin: 0 5px 5px 0;
  width: 100%;
  height: 248px;
}
.thumbnail:hover {
  background-color: transparent;
}
.thumbnail:hover img {
  border: none;
}
.thumbnail span {
  position: absolute;
  visibility: hidden;
  color: black;
  text-decoration: none;
}
.thumbnail span img {
  border-width: 0;
  padding: 2px;
}

.thumbnail:hover span {
  visibility: visible;
  top: 0;
  left: 320px;
  z-index: 50;
}

/* Animation */
.cursor-animation {
    position: relative;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
}

.typewriter-animation {
  animation: 
    typewriter 5s steps(50) 1s 1 normal both, 
    blinkingCursor 500ms steps(50) infinite normal;
}
@keyframes typewriter {
  from { width: 0; }
  to { width: 100%; }
}
@keyframes blinkingCursor{
  from { border-right-color: rgba(255,255,255,.75); }
  to { border-right-color: transparent; }
}

  @media (width >= 80rem) {
    .thumbnail img {
      width: 100%;
      height: 248px;
    }
  }
  @media (width <= 64rem) {
    .thumbnail img {
      display: none;
    }
  }

  @media (width <= 40rem) {
    .cursor-animation {
      white-space: wrap;
    }
    .typewriter-animation {
      animation: none;
    }
  }
